当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-01 21:54 

注册: 2008-11-01 21:16
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
刚装好的8.10上运行kscope时总报kscope: error while loading shared libraries: libkateinterfaces.so.0: cannot open shared object file: No such file or directory,在/usr/lib自己建了个连接,它又报找不到libkateutils.so.0。不知大家有没有遇到这种情况,我查了好久都没找到办法解决,望高手指点。 :em01


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-02 14:33 

注册: 2007-07-16 13:41
帖子: 32
送出感谢: 0 次
接收感谢: 0 次

一开始是没有libkateinterfaces.so.0,然后又没有libkateutils.so.0


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-03 0:23 

注册: 2007-11-30 12:56
帖子: 37
送出感谢: 0 次
接收感谢: 0 次
转自:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=493192 的解决方案:

The issue can't be fixed in kscope itself as it needs some library provided by
kate3 and not kate4, and no kde4 version of kscope has been released yet.

As a temporary solution, you can extract the libkateinterfaces.so.0.0.0 from a
kate3 debian package and put it in /usr/local/lib as all its deps are provided
by kdelibs4c2a.

If you use i386, you can do the following (as root) :
cd /tmp
wget ftp.debian.org/debian/pool/main/k/kdebase/kate_3.5.9.dfsg.1-5_i386.deb
ar x kate_3.5.9.dfsg.1-5_i386.deb
tar xzf data.tar.gz
cp usr/lib/libkateinterfaces.so.0.0.0 /usr/local/lib
ldconfig

libkateutils.so.0也照上面的方法拷贝过去。

ubuntu8.10下验证通过,可顺利运行kscope


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-03 1:41 

注册: 2008-11-01 21:16
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
楼上的大侠很强,试过了,问题解决,多谢,多谢!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-03 13:40 

注册: 2007-10-29 23:20
帖子: 16
地址: 浙江宁波
送出感谢: 0 次
接收感谢: 0 次
我装也,也是运行不了。
8.04下都能正常运行的


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-03 14:09 

注册: 2007-10-29 23:20
帖子: 16
地址: 浙江宁波
送出感谢: 0 次
接收感谢: 0 次
试了,我的KSCOPE跟本没反应


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-10 22:53 

注册: 2008-04-08 18:37
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
多谢mimel,能够跑了!


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-11-21 8:35 

注册: 2008-11-21 8:33
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我也遇到同样的问题了,按照3楼的方法解决了,谢谢! :em02


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2008-12-19 14:13 

注册: 2008-12-19 14:09
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我也是按照3楼的方法作的,但是重启的时候x无法启动,在root用户下就可以启动。
望高手指点,谢谢!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2009-01-10 9:43 

注册: 2008-01-18 9:29
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
系统重启之后X无法启动呀!
请问如何解决????
不会搞得要重装系统吧?
//--------------------------------已经解决了。
不知道是否是kscope的影响。
后来仔细查看了session log
发现错误出现在
mkdtemp:private socket dir: permission denied
CTRL+ALT+F1切换到命令行模式sudo chmod 777 /tmp就可以了


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2009-02-07 14:58 

注册: 2009-02-07 14:56
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
查找时候出现Failed to start process,
请问能解决吗?
是发生什么事了?


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2009-02-25 9:48 

注册: 2009-01-21 21:51
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我朋友用8.04的版本安装kscope后运行都正常,我用的是8.10的版本安装后无法运行kscope,按照mimel的方法无法下载kate_3.5.9.dfsg.1-5_i386.deb,后来发现是kate_3.5.9.dfsg.1-5_i386.deb这个已经没有了,我就下载了kate_3.5.9.dfsg.1-6_i386.deb就可以,下面是我的按照方法:
If you use i386, you can do the following (as root) :
cd /tmp
wget ftp.debian.org/debian/pool/main/k/kdebase/kate_3.5.9.dfsg.1-6_i386.deb
ar x kate_3.5.9.dfsg.1-6_i386.deb
tar xzf data.tar.gz
cp usr/lib/libkateinterfaces.so.0.0.0 /usr/local/lib/libkateinterfaces.so.0
cp usr/lib/libkateutils.so.0 /usr/local/lib/libkateutils.so.0
ldconfig

这样设置后在终端里运行kscope时会提示xserver无法运行,然后在按照webnoise 提供的方法:
CTRL+ALT+F1切换到命令行模式sudo chmod 777 /tmp就可以了

感谢各位提供的信息!


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2009-03-08 22:55 
头像

注册: 2007-10-15 18:54
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
我也碰到了这个问题, 试试!


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 大家在8.10上运行kscope有没有报错啊?
帖子发表于 : 2009-05-28 16:26 

注册: 2008-04-22 14:33
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
http://zhubangbing.blog.163.com/blog/st ... 915459486/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译